CONTOUR_PARSE_LEVELS(3)

EXPERIMENTAL_FUNC
contour_parse_levels - Parse a textual contour level specification.

SYNOPSIS
#include <karma_contour.h>

unsigned int contour_parse_levels

(double *contour_levels, unsigned int max_levels, CONST char *string, double min, double max)

DESCRIPTION
Parse a textual contour level specification.

contour_levels
    The raw contour levels are written here.

max_levels
    The maximum number of levels.

string
    The string to parse.

min The minimum value in the data range.

max The maximum value in the data range.

RETURN VALUE
The number of levels. On error 0 is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/